<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Set ServiceType
 * @subpackage Services
 */
class Set extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SetWeb2SipHarKoli
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetWeb2SipHarKoli $parameters
     * @return \StructType\SetWeb2SipHarKoliResponse|bool
     */
    public function SetWeb2SipHarKoli(\StructType\SetWeb2SipHarKoli $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetWeb2SipHarKoli($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetCariYetkili
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetCariYetkili $parameters
     * @return \StructType\SetCariYetkiliResponse|bool
     */
    public function SetCariYetkili(\StructType\SetCariYetkili $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetCariYetkili($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetCariAdress
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetCariAdress $parameters
     * @return \StructType\SetCariAdressResponse|bool
     */
    public function SetCariAdress(\StructType\SetCariAdress $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetCariAdress($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetSipiptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetSipiptal $parameters
     * @return \StructType\SetSipiptalResponse|bool
     */
    public function SetSipiptal(\StructType\SetSipiptal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetSipiptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetWeb2SipHar
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetWeb2SipHar $parameters
     * @return \StructType\SetWeb2SipHarResponse|bool
     */
    public function SetWeb2SipHar(\StructType\SetWeb2SipHar $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetWeb2SipHar($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetWeb2Fatura
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetWeb2Fatura $parameters
     * @return \StructType\SetWeb2FaturaResponse|bool
     */
    public function SetWeb2Fatura(\StructType\SetWeb2Fatura $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetWeb2Fatura($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetKprFisMagaza
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetKprFisMagaza $parameters
     * @return \StructType\SetKprFisMagazaResponse|bool
     */
    public function SetKprFisMagaza(\StructType\SetKprFisMagaza $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetKprFisMagaza($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetCariFis
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetCariFis $parameters
     * @return \StructType\SetCariFisResponse|bool
     */
    public function SetCariFis(\StructType\SetCariFis $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetCariFis($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetCariFisHar
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetCariFisHar $parameters
     * @return \StructType\SetCariFisHarResponse|bool
     */
    public function SetCariFisHar(\StructType\SetCariFisHar $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetCariFisHar($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetKprFis
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetKprFis $parameters
     * @return \StructType\SetKprFisResponse|bool
     */
    public function SetKprFis(\StructType\SetKprFis $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetKprFis($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetKprFisHar
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetKprFisHar $parameters
     * @return \StructType\SetKprFisHarResponse|bool
     */
    public function SetKprFisHar(\StructType\SetKprFisHar $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetKprFisHar($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetKprFisOde
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetKprFisOde $parameters
     * @return \StructType\SetKprFisOdeResponse|bool
     */
    public function SetKprFisOde(\StructType\SetKprFisOde $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetKprFisOde($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetMusteriKart
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetMusteriKart $parameters
     * @return \StructType\SetMusteriKartResponse|bool
     */
    public function SetMusteriKart(\StructType\SetMusteriKart $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetMusteriKart($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SetCariAdressResponse|\StructType\SetCariFisHarResponse|\StructType\SetCariFisResponse|\StructType\SetCariYetkiliResponse|\StructType\SetKprFisHarResponse|\StructType\SetKprFisMagazaResponse|\StructType\SetKprFisOdeResponse|\StructType\SetKprFisResponse|\StructType\SetMusteriKartResponse|\StructType\SetSipiptalResponse|\StructType\SetWeb2FaturaResponse|\StructType\SetWeb2SipHarKoliResponse|\StructType\SetWeb2SipHarResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
